Hello community,

here is the log from the commit of package gdal for openSUSE:Factory checked in 
at 2017-07-17 09:12:21
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
Comparing /work/SRC/openSUSE:Factory/gdal (Old)
 and      /work/SRC/openSUSE:Factory/.gdal.new (New)
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Package is "gdal"

Mon Jul 17 09:12:21 2017 rev:18 rq:510338 version:2.2.1

Changes:
--------
--- /work/SRC/openSUSE:Factory/gdal/gdal.changes        2017-07-05 
23:57:28.476378554 +0200
+++ /work/SRC/openSUSE:Factory/.gdal.new/gdal.changes   2017-07-17 
09:12:22.269686346 +0200
@@ -1,0 +2,14 @@
+Fri Jul 14 15:15:38 UTC 2017 - toddrme2...@gmail.com
+
+- Add python2-gdal provides for the python-gdal subpackage for
+  compatibility with single-spec python macros.
+
+-------------------------------------------------------------------
+Wed Jul 12 10:22:32 UTC 2017 - br...@ioda-net.ch
+
+- New upstream bugfix release 2.2.1
+  See details https://trac.osgeo.org/gdal/wiki/Release/2.2.1-News 
+- Packaging
+  + Remove gdal-upstream-issue#6898-changeset#38636.patch merged
+
+-------------------------------------------------------------------

Old:
----
  gdal-2.2.0.tar.xz
  gdal-upstream-issue#6898-changeset#38636.patch

New:
----
  gdal-2.2.1.tar.xz

++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Other differences:
------------------
++++++ gdal.spec ++++++
--- /var/tmp/diff_new_pack.9jh3iM/_old  2017-07-17 09:12:23.021580438 +0200
+++ /var/tmp/diff_new_pack.9jh3iM/_new  2017-07-17 09:12:23.025579874 +0200
@@ -23,7 +23,7 @@
 %define sourcename gdal
 
 Name:           gdal
-Version:        2.2.0
+Version:        2.2.1
 Release:        0
 Summary:        GDAL/OGR - a translator library for raster and vector 
geospatial data formats
 License:        MIT and BSD-3-Clause and SUSE-Public-Domain
@@ -36,8 +36,6 @@
 # Fix hard coded name of libproj library
 # But libproj.so is valid if libproj-devel is installed ?
 Patch2:         gdal-libproj.patch
-# Upstream issue #6898 changeset #38636
-Patch3:         gdal-upstream-issue#6898-changeset#38636.patch
 BuildRequires:  blas-devel
 BuildRequires:  chrpath
 BuildRequires:  curl-devel
@@ -142,6 +140,7 @@
 Summary:        GDAL Python module
 Group:          Development/Languages/Python
 Requires:       %{name} = %{version}-%{release}
+Provides:       python2-%{name} = %{version}
 %py_requires
 
 %description -n python-%{name}
@@ -160,7 +159,6 @@
 %patch0 -p1
 %patch1 -p1
 %patch2 -p1
-%patch3 -p1
 
 # Fix mandir
 sed -i "s|^mandir=.*|mandir='\${prefix}/share/man'|" configure

++++++ gdal-2.2.0.tar.xz -> gdal-2.2.1.tar.xz ++++++
/work/SRC/openSUSE:Factory/gdal/gdal-2.2.0.tar.xz 
/work/SRC/openSUSE:Factory/.gdal.new/gdal-2.2.1.tar.xz differ: char 27, line 1


Reply via email to